Subject: Ticket Assigned - Refund for my order still did not completed in full #9508728532 and another
From: Home Box <[email-masked]>
To: [email-masked]
Date: Fri, 04 Mar 2022 05:05:04 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund for my order still did not completed in full #9508728532 and another Good evening Homebox.
After multiple times complains and reminding 27 of Jan I received
confirmation that you returning to me around 110 aed from my cancellation.
By 6 of February I received sms that my refund was cancelled, and and of
the day I received 48aed ( I have send scrinshots).
As well my bank statement for all month is attached to this email.

WHAT IS HAPPENING WITH YOUR FINANCE DEPARTMENT?
Who is working there?
And when you planning to return my money?

Waiting for your reply
You are not organised company At all

Olga Shevkolovych
0525525965

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3972725